Debian Bug report logs - #593638
FTBFS: with pcsc-lite >= 1.6.0 (from experimental)

version graph

Package: src:beid; Maintainer for src:beid is Wouter Verhelst <wouter@debian.org>;

Reported by: Ludovic Rousseau <rousseau@debian.org>

Date: Thu, 19 Aug 2010 19:27:02 UTC

Severity: serious

Tags: experimental, patch, sid, wheezy

Merged with 614494

Found in version beid/3.5.2.dfsg-10

Fixed in version 3.5.2.dfsg-10+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Wouter Verhelst <wouter@debian.org>:
Bug#593638; Package beid. (Thu, 19 Aug 2010 19:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Rousseau <rousseau@debian.org>:
New Bug report received and forwarded. Copy sent to Wouter Verhelst <wouter@debian.org>. (Thu, 19 Aug 2010 19:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ludovic Rousseau <rousseau@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS: with pcsc-lite >= 1.6.0 (from experimental)
Date: Thu, 19 Aug 2010 21:24:37 +0200
Package: beid
Version: 3.5.2.dfsg-10
Severity: serious
Tags: experimental patch
Justification: fails to build from source

beid fails to build from source when built with pcsc-lite >= 1.6.0

Such a version of pcsc-lite is available from exprimental and will be
uploaded in unstable once squeeze is out.

The build fails because:

- SCARD_W_INSERTED_CARD is/was a pcsc-lite specific error code and has
  been removed in pcsc-lite 1.6.0
- SCARD_READERSTATE should be used instead of SCARD_READERSTATE_A and
  the later was removed

See http://ludovicrousseau.blogspot.com/2010/08/pcsc-lite-16x-breaks-some-programs-at.html for more information.

I provide a patch:

diff -ru beid-3.5.2.dfsg.before/_src/beid-2.6/src/Belpic PCSC Service/CardChangeMonitor.cpp beid-3.5.2.dfsg/_src/beid-2.6/src/Belpic PCSC Service/CardChangeMonitor.cpp
--- beid-3.5.2.dfsg.before/_src/beid-2.6/src/Belpic PCSC Service/CardChangeMonitor.cpp	2009-04-28 10:21:20.000000000 +0200
+++ beid-3.5.2.dfsg/_src/beid-2.6/src/Belpic PCSC Service/CardChangeMonitor.cpp	2010-08-19 21:16:25.000000000 +0200
@@ -62,7 +62,7 @@
 
         if(hContext != 0)
         {
-            SCARD_READERSTATE_A rgscState[MAXIMUM_SMARTCARD_READERS] = {0};
+            SCARD_READERSTATE rgscState[MAXIMUM_SMARTCARD_READERS] = {0};
             long  lReturn;
             int iCount = 0;
             int i, j;
diff -ru beid-3.5.2.dfsg.before/_src/beid-2.6/src/Belpic PCSC Service/PCSCManager.cpp beid-3.5.2.dfsg/_src/beid-2.6/src/Belpic PCSC Service/PCSCManager.cpp
--- beid-3.5.2.dfsg.before/_src/beid-2.6/src/Belpic PCSC Service/PCSCManager.cpp	2009-04-28 10:21:20.000000000 +0200
+++ beid-3.5.2.dfsg/_src/beid-2.6/src/Belpic PCSC Service/PCSCManager.cpp	2010-08-19 21:17:01.000000000 +0200
@@ -334,8 +334,8 @@
             unsigned long ulReaders = 0;
             pMessage->Get("Timeout", ulTimeout);
             pMessage->Get("ReadersLen", (long *)&ulReaders);
-            SCARD_READERSTATE_A *prgReaderStates = new SCARD_READERSTATE_A[ulReaders];
-            memset(prgReaderStates, 0, sizeof(SCARD_READERSTATE_A) * ulReaders);
+            SCARD_READERSTATE *prgReaderStates = new SCARD_READERSTATE[ulReaders];
+            memset(prgReaderStates, 0, sizeof(SCARD_READERSTATE) * ulReaders);
             char szReaders[MAXIMUM_SMARTCARD_READERS][64] = {0};
             for(unsigned int i = 0; i < ulReaders; ++i)
             {
diff -ru beid-3.5.2.dfsg.before/_src/beid-2.6/src/newpkcs11/src/libopensc/reader-pcsc.c beid-3.5.2.dfsg/_src/beid-2.6/src/newpkcs11/src/libopensc/reader-pcsc.c
--- beid-3.5.2.dfsg.before/_src/beid-2.6/src/newpkcs11/src/libopensc/reader-pcsc.c	2009-04-28 10:21:26.000000000 +0200
+++ beid-3.5.2.dfsg/_src/beid-2.6/src/newpkcs11/src/libopensc/reader-pcsc.c	2010-08-19 21:15:22.000000000 +0200
@@ -82,7 +82,7 @@
 
 struct pcsc_slot_data {
 	SCARDHANDLE pcsc_card;
-	SCARD_READERSTATE_A readerState;
+	SCARD_READERSTATE readerState;
 };
 
 static int pcsc_detect_card_presence(struct sc_reader *reader, struct sc_slot_info *slot);
@@ -300,7 +300,7 @@
 	struct sc_context *ctx;
 	SCARDCONTEXT pcsc_ctx;
 	LONG ret;
-	SCARD_READERSTATE_A rgReaderStates[SC_MAX_READERS];
+	SCARD_READERSTATE rgReaderStates[SC_MAX_READERS];
 	unsigned long on_bits, off_bits;
 	time_t end_time, now, delta;
 	int i;
@@ -348,7 +348,7 @@
 	/* Wait for a status change and return if it's a card insert/removal
 	 */
 	for( ; ; ) {
-		SCARD_READERSTATE_A *rsp;
+		SCARD_READERSTATE *rsp;
 
 		/* Scan the current state of all readers to see if they
 		 * match any of the events we're polling for */
diff -ru beid-3.5.2.dfsg.before/_src/beid-2.6/src/winscarp/winscarp.cpp beid-3.5.2.dfsg/_src/beid-2.6/src/winscarp/winscarp.cpp
--- beid-3.5.2.dfsg.before/_src/beid-2.6/src/winscarp/winscarp.cpp	2009-04-28 10:21:30.000000000 +0200
+++ beid-3.5.2.dfsg/_src/beid-2.6/src/winscarp/winscarp.cpp	2010-08-19 21:14:20.000000000 +0200
@@ -72,7 +72,8 @@
     typedef GUID *LPGUID;
     typedef char *LPWSTR;
     typedef const char *LPCWSTR;
-    typedef SCARD_READERSTATE_A *LPSCARD_READERSTATE_W;
+    typedef SCARD_READERSTATE *LPSCARD_READERSTATE_A;
+    typedef SCARD_READERSTATE *LPSCARD_READERSTATE_W;
     typedef const char *LPCSTR;
 #endif //_WIN32
 
@@ -1591,9 +1592,6 @@
 	case SCARD_W_REMOVED_CARD:
 		strcpy(strError, "Card was removed.");
 		break;
-	case SCARD_W_INSERTED_CARD:
-		strcpy(strError, "Card was inserted.");
-		break;
 	case SCARD_E_UNSUPPORTED_FEATURE:
 		strcpy(strError, "Feature not supported.");
 		break;

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Added tag(s) sid. Request was from Wouter Verhelst <w@uter.be> to control@bugs.debian.org. (Tue, 22 Feb 2011 11:48:26 GMT) Full text and rfc822 format available.

Bug reassigned from package 'beid' to 'src:beid'. Request was from Ilya Barygin <barygin@gmail.com> to control@bugs.debian.org. (Tue, 16 Aug 2011 21:21:26 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 3.5.2.dfsg-10. Request was from Ilya Barygin <barygin@gmail.com> to control@bugs.debian.org. (Tue, 16 Aug 2011 21:21:26 GMT) Full text and rfc822 format available.

Merged 593638 614494. Request was from Ilya Barygin <barygin@gmail.com> to control@bugs.debian.org. (Tue, 16 Aug 2011 21:21:27 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Wouter Verhelst <wouter@debian.org>:
Bug#593638; Package src:beid. (Sat, 20 Aug 2011 06:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ilya Barygin <barygin@gmail.com>:
Extra info received and forwarded to list. Copy sent to Wouter Verhelst <wouter@debian.org>. (Sat, 20 Aug 2011 06:27:03 GMT) Full text and rfc822 format available.

Message #18 received at 593638@bugs.debian.org (full text, mbox):

From: Ilya Barygin <barygin@gmail.com>
To: 593638@bugs.debian.org
Subject: FTBFS: with pcsc-lite >= 1.6.0 (from experimental)
Date: Sat, 20 Aug 2011 10:25:48 +0400
[Message part 1 (text/plain, inline)]
Hello,

In Ubuntu, one additional file had to be modified. Resulting version of
the patch is attached.
[0012-pcsc-lite-1.6.0-api.patch (text/x-patch, attachment)]

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 16 May 2012 17:21:50 GMT) Full text and rfc822 format available.

Notification sent to Ludovic Rousseau <rousseau@debian.org>:
Bug acknowledged by developer. (Wed, 16 May 2012 17:21:50 GMT) Full text and rfc822 format available.

Message #23 received at 593638-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 380406-done@bugs.debian.org,425450-done@bugs.debian.org,429588-done@bugs.debian.org,489396-done@bugs.debian.org,561190-done@bugs.debian.org,578431-done@bugs.debian.org,582631-done@bugs.debian.org,586136-done@bugs.debian.org,587551-done@bugs.debian.org,587625-done@bugs.debian.org,592886-done@bugs.debian.org,593638-done@bugs.debian.org,604580-done@bugs.debian.org,614494-done@bugs.debian.org,615697-done@bugs.debian.org,628922-done@bugs.debian.org,653956-done@bugs.debian.org,654242-done@bugs.debian.org,672239-done@bugs.debian.org,
Cc: beid@packages.debian.org, beid@packages.qa.debian.org
Subject: Bug#672784: Removed package(s) from unstable
Date: Wed, 16 May 2012 17:16:40 +0000
Version: 3.5.2.dfsg-10+rm

Dear submitter,

as the package beid has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/672784

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 16 May 2012 17:21:51 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Wed, 16 May 2012 17:21:51 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 14 Jun 2012 07:38:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:14:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.